Bug 1193992 - scheduler event generator hangs looking for moved log directory
Summary: scheduler event generator hangs looking for moved log directory
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: globus-scheduler-event-generator   
(Show other bugs)
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 17:12 UTC by Matyas Selmeci
Modified: 2015-03-08 22:44 UTC (History)
1 user (show)

Fixed In Version: globus-scheduler-event-generator-5.10-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 10:21:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for the init script to work around issue (1.14 KB, patch)
2015-02-18 17:12 UTC, Matyas Selmeci
no flags Details | Diff

Description Matyas Selmeci 2015-02-18 17:12:44 UTC
Created attachment 993239 [details]
patch for the init script to work around issue

Description of problem:
The globus-scheduler-event-generator daemon hangs looking for log files in a directory that had been moved: previous versions of the SEG used to keep logfiles under /var/lib/globus/*-seg-*, whereas the current version keeps logfiles in /var/log/globus/*-seg-*.

See also https://globus.atlassian.net/browse/GT-583, which has more details and reproduction instructions.

Version-Release number of selected component (if applicable):

5.9-1, 5.10-1

How reproducible:
Always

Additional info:

I've attached a patch with a workaround: this is a modification to the init script (which creates the log directories in the first place) to create a symlink to the new location from the old location.

Comment 1 Fedora Update System 2015-02-18 20:39:27 UTC
globus-scheduler-event-generator-5.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/globus-scheduler-event-generator-5.10-2.fc20

Comment 2 Fedora Update System 2015-02-18 20:39:33 UTC
globus-scheduler-event-generator-5.10-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-scheduler-event-generator-5.10-2.el6

Comment 3 Fedora Update System 2015-02-18 20:40:43 UTC
globus-scheduler-event-generator-5.10-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-scheduler-event-generator-5.10-2.el5

Comment 4 Fedora Update System 2015-02-18 20:40:48 UTC
globus-scheduler-event-generator-5.10-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/globus-scheduler-event-generator-5.10-2.el7

Comment 5 Fedora Update System 2015-02-18 20:40:52 UTC
globus-scheduler-event-generator-5.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/globus-scheduler-event-generator-5.10-2.fc21

Comment 6 Fedora Update System 2015-02-19 11:09:26 UTC
Package globus-scheduler-event-generator-5.10-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing globus-scheduler-event-generator-5.10-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0817/globus-scheduler-event-generator-5.10-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-02-28 10:21:18 UTC
globus-scheduler-event-generator-5.10-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-28 10:26:25 UTC
globus-scheduler-event-generator-5.10-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-08 22:42:36 UTC
globus-scheduler-event-generator-5.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-08 22:43:52 UTC
globus-scheduler-event-generator-5.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-03-08 22:44:54 UTC
globus-scheduler-event-generator-5.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.